package grub-common 2.02-2ubuntu2 failed to install/upgrade: installed grub-common package post-installation script subprocess returned error exit status 1

Bug #1737025 reported by Edson T. Marques on 2017-12-07
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
Undecided
Unassigned

Bug Description

Failure at ubuntu upgrade:

...

Failure at ubuntu upgrade using synaptic. Below, errors on dist-upgrade log:

...

Configuring grub-common (2.02-2ubuntu2) ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Job for grub-common.service failed because timeout was exceeded.
See "systemctl status grub-common.service" and "journalctl -xe" for details.
invoke-rc.d: initscript grub-common, action "start" failed.
● grub-common.service - LSB: Record successful boot for GRUB
   Loaded: loaded (/etc/init.d/grub-common; generated; vendor preset: enabled)
   Active: failed (Result: timeout) since Thu 2017-12-07 17:19:40 -02; 9m ago
     Docs: man: systemd-sysv-generator (8)
  Process: 29259 ExecStart = / etc / init.d / grub-common start (code = killed, signal = TERM)
    Tasks: 2 (limit: 4915)
   CGroup: /system.slice/grub-common.service
           └─29263 plymouth --ping

Dec 07 17:14:40 etm systemd [1]: Starting LSB: Record successful boot for GRUB ...
Dec 07 17:19:40 etm systemd [1]: grub-common.service: Start operation timed out. Terminating.
Dec 07 17:19:40 etm systemd [1]: grub-common.service: Failed with result 'timeout'.
Dec 07 17:19:40 etm systemd [1]: Failed to start LSB: Record successful boot for GRUB.
dpkg: error processing package grub-common (--configure):
 installed grub-common package post-installation script subprocess returned error exit status 1

...

Configuring libharfbuzz-icu0: amd64 (1.7.2-1) ...
dpkg: problems with dependencies prevent the configuration of grub-efi-amd64-bin:
 grub-efi-amd64-bin depends on grub-common (= 2.02-2ubuntu2); however:
  Package grub-common is not configured yet.

dpkg: error processing package grub-efi-amd64-bin (--configure):
 dependency problems - leaving unconfigured
Configuring libgail18: amd64 (2.24.31-4ubuntu1) ...
No apport report written because the error message indicates that it is a follow error from a previous error.
              dpkg: problems with dependencies prevent the configuration of grub-efi-amd64:
 grub-efi-amd64 depends on grub-common (= 2.02-2ubuntu2); however:
  Package grub-common is not configured yet.
 grub-efi-amd64 depends on grub-efi-amd64-bin (= 2.02-2ubuntu2); however:
  Package grub-efi-amd64-bin is not configured yet.

dpkg: error processing package grub-efi-amd64 (--configure):
 dependency problems - leaving unconfigured
Configuring vlc-plugin-samba: amd64 (2.2.8-1ubuntu3) ...
No apport report written because the error message indicates that it is a follow error from a previous error.
              Configuring libdbusmenu-gtk3-4: amd64 (16.04.1 + 18.04.20171206-0ubuntu1) ...
dpkg: dependency problems prevent grub2-common configuration:
 grub2-common depends on grub-common (= 2.02-2ubuntu2); however:
  Package grub-common is not configured yet.

dpkg: error processing package grub2-common (--configure):
 dependency problems - leaving unconfigured
Configuring python3.6-minimal (3.6.4 ~ rc1-1) ...
No apport report written since MaxReports has already been hit
                                                               Configuring libgail-common: amd64 (2.24.31-4ubuntu1) ...
Configuring upower (0.99.7-1) ...
dpkg: problems with dependencies prevent the configuration of grub-efi-amd64-signed:
 grub-efi-amd64-signed depends on grub-efi-amd64 (= 2.02-2ubuntu2); however:
  Package grub-efi-amd64 is not configured yet.

dpkg: error processing package grub-efi-amd64-signed (--configure):
 dependency problems - leaving unconfigured
Setting up gir1.2-dbusmenu-glib-0.4: amd64 (16.04.1 + 18.04.20171206-0ubuntu1) ...
No apport report written since MaxReports has already been hit

...

Processing triggers for libvlc-bin: amd64 (2.2.8-1ubuntu3) ...
Errors were encountered while processing:
 grub-common
 grub-efi-amd64-bin
 grub-efi-amd64
 grub2-common
 grub-efi-amd64-signed

E: Sub-process / usr / bin / dpkg returned an error code (1)

A package failed installation. Trying to recover:
Configuring grub-common (2.02-2ubuntu2) ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Job for grub-common.service failed because timeout was exceeded.
See "systemctl status grub-common.service" and "journalctl -xe" for details.
invoke-rc.d: initscript grub-common, action "start" failed.
● grub-common.service - LSB: Record successful boot for GRUB
   Loaded: loaded (/etc/init.d/grub-common; generated; vendor preset: enabled)
   Active: failed (Result: timeout) since Thu 2017-12-07 17:24:59 -02; 9m ago
     Docs: man: systemd-sysv-generator (8)
  Process: 9065 ExecStart = / etc / init.d / grub-common start (code = killed, signal = TERM)
    Tasks: 3 (limit: 4915)
   CGroup: /system.slice/grub-common.service
           ├─ 9069 plymouth --ping
           └─29263 plymouth --ping

dez 07 17:19:59 etm systemd[1]: Starting LSB: Record successful boot for GRUB...
dez 07 17:24:59 etm systemd[1]: grub-common.service: Start operation timed out. Terminating.
dez 07 17:24:59 etm systemd[1]: grub-common.service: Failed with result 'timeout'.
dez 07 17:24:59 etm systemd[1]: Failed to start LSB: Record successful boot for GRUB.

dpkg: error processing package grub-common (--configure):
 installed grub-common package post-installation script subprocess returned error exit status 1
dpkg: problems with dependencies prevent the configuration of grub-efi-amd64-bin:
 grub-efi-amd64-bin depends on grub-common (= 2.02-2ubuntu2); however:
  Package grub-common is not configured yet.

dpkg: error processing package grub-efi-amd64-bin (--configure):
 dependency problems - leaving unconfigured
dpkg: problems with dependencies prevent the configuration of grub-efi-amd64:
 grub-efi-amd64 depends on grub-common (= 2.02-2ubuntu2); however:
  Package grub-common is not configured yet.
 grub-efi-amd64 depends on grub-efi-amd64-bin (= 2.02-2ubuntu2); however:
  Package grub-efi-amd64-bin is not configured yet.

dpkg: error processing package grub-efi-amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent grub2-common configuration:
 grub2-common depends on grub-common (= 2.02-2ubuntu2); however:
  Package grub-common is not configured yet.

dpkg: error processing package grub2-common (--configure):
 dependency problems - leaving unconfigured
dpkg: problems with dependencies prevent the configuration of grub-efi-amd64-signed:
 grub-efi-amd64-signed depends on grub-efi-amd64 (= 2.02-2ubuntu2); however:
  Package grub-efi-amd64 is not configured yet.

dpkg: error processing package grub-efi-amd64-signed (--configure):
 dependency issue - leaving unconfigured
Errors was found processing:
 grub-common
 grub-efi-amd64-bin
 grub-efi-amd64
 grub2-common
 grub-efi-amd64-signed

ProblemType: Package
DistroRelease: Ubuntu 18.04
Package: grub-common 2.02-2ubuntu2
ProcVersionSignature: Ubuntu 4.14.0-11.13-generic 4.14.3
Uname: Linux 4.14.0-11-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.8-0ubuntu3
Architecture: amd64
Date: Thu Dec 7 17:19:40 2017
ErrorMessage: installed grub-common package post-installation script subprocess returned error exit status 1
InstallationDate: Installed on 2017-09-29 (69 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Beta amd64 (20170929)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.14.0-11-generic.efi.signed root=UUID=e21f23a6-7931-4119-91bf-b51fd921d471 ro quiet splash vt.handoff=7
Python3Details: /usr/bin/python3.6, Python 3.6.4rc1, python3-minimal, 3.6.3-2
PythonDetails: /usr/bin/python2.7, Python 2.7.14+, python-minimal, 2.7.14-2ubuntu1
RelatedPackageVersions:
 dpkg 1.19.0.4ubuntu1
 apt 1.6~alpha5
SourcePackage: grub2
Title: package grub-common 2.02-2ubuntu2 failed to install/upgrade: installed grub-common package post-installation script subprocess returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in grub2 (Ubuntu):
status: New → Confirmed
Drew (dboardman3) wrote :

I also am having this bug.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers